import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const sendResponseTicketService = createAsyncThunk(
  "RESPONSE_TICKET",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("message/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
